Introduction

NT REMOTE CONTROLLER 2000

NTRC 2000 version 1.2

It is a remote administration program for NT Server.

Full freeware.

It works through a TCP/IP Network.

Check the features for more info.

NTRC 2000 was Designed for Windows 95/98/NT.

Copyright © 1998 Andrea Borgogelli Avveduti, All rights reserved.

FREEWARE - NOT FOR COMMERCIAL USE!


Features

NTRC 2000 allows you to:

  • Have informations about the memory in use on the remote server.

  • Check the size of any remote volumes.

  • Check, Start and Stop NT Services.

  • Read the NT Event log remotely.

  • Edit a script on the client and run it on the server.

  • Reboot, and Logoff the target.

  • Get a screenshot of the remote desktop.

  • Ping the targer and check the network connection.


Requirements

No run-time libraries are necessary to run this program.

No special hardware is required.

It works on any TCP/IP networks.

The program is a 100% 32-bit compiled Win32 executable.

NT Remote Controller Client works fine on any Win32 compatible platform, it's W95, W98 and NT compatible.

The NTRC server application is designed to run only on NT server.

NOTE:

Microsoft have said that, after the 2000, the only kernel for its operative systems will be NT based. So I haven't writen any Win9x version of NTRC Server. But if I get a lots of feedback I will also code and release the Win9x version..


Installation

NTRC doesn't install any DLL.

It doesn't change your system configuration and doesn't change your registry keys.

Only one .exe file for the server and one for the client.

  1. Once downloaded, check the system requirements.

  2. Run the archive ntrc2000vXX.exe

  3. Done


Uninstalling

  1. Open the control panel.

  2. Double click on the "Add/Remove Programs" icon.

  3. Select the "NT Remote Controller 2000" record .

  4. Click on the "Add/Remove" button.

  5. Follow the on screen prompts to complete the uninstallation.


Understanding

NTRC 2000 Client

Be sure that the IP address you are using is the right of the remote NT server. You can check it with the ping command.

You also need to insert the right password to connect to the NTRC server.

Here are some informations on the remote server. You can also Shutdown it.

More info on the server: Ram and Disks.

Remeber to press the update button to get fresh info.

Here you can obtain a list of all NT services, running or stopped.

Then you can start, stop one or more of them.


New Topic

Advanced Features

In the following window you can read the Evenlog of the remote server and clear it.

The Screenshot feature: You will be able to see what's happening on the server.

In the Remote Scrpiting window you can edit, load or save a script.

Into the NTRC 2000 server folder you can find the Scripting.bat file.

You can edit that file to configure any interpreter which you want to use with the Scripting feature. (ex: Perl.exe, 4NT.exe, CMD.exe and so on)

It's very powerfull and easy. :-)

Ping the server to check the network connection.


Understanding2

NTRC 2000 Server

This is the NTRC 2000 server application.

Here you can change the NTRC administration password and verify the last access time.

When NTRC 2000 Server is running you can see its icon in the system Tray.


Tech

The Program

The program was developed using Delphi 4.0.

It's is a 100% 32-bit compiled Win32 executable.

NTRC 2000 communication features are based on the TCP protocol.


Known Bugs

Known Issues

No serious bugs known at the moment.

For bugs report please contact me.

"The world is not perfect.
I'm not perfect.
You are not perfect.
So why should my programs to be perfect".


Source Code

Source code?

You mean there is something to improve ?

Right, send me a message then and I'll think about it.


Troubleshooting

FAQ

Q: I can't connect to NTRC server. What can I do ?

A: Test your TCP/IP network connection: Type in the command prompt: ping remote_host_name

Ex: ping 127.0.0.1

Make sure, that NTRC server runs on the remote computer.

Q: I'm connected with the NTRC Server but I get the message "wrong password".

A: Be sure you're using the right password. Try also with a blank password if you're using the NTRC Service.

Q: I can't change the password because I don't know the old one.

A: This problem affects only the beta 5 version of NTRC. If you have this problem use "Please change me" as the old password.

Q: Can I run NTRC Server as a NT system service ?

A: Yes, you can follow these steps:

Step 1

Create a directory under your root and call it SRVANY and copy these two files:

SRVANY.EXE and INSTSRV.EXE into the SRVANY directory. You can get them on the NT support CDs or you can ask me them.

Step 2

Go to the DOS Command prompt and navigate to the SRVANY Directory. At the command prompt type:

INSTSRV NTRC2000 c:\srvany\srvany.exe

Notice the second element on the command line "NTRC2000". This is the "name" of the service that you will create.

Step 3

Start regedit.

Step 4

Open up the key HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\NTRC2000

Step 5

Right click on 'NTRC2000' and create a new key 'Parameters'.

Step 6

Right click on 'Parameters' and create a new string 'Application'.

Step 7

Double-click on Parameters and add the command to start-up the NTRC2000 server, e.g.

"C:\Program Files\NTRC2000\NTRC 2000 Server.exe"

Close it all up and exit the REGEDT32 program.

Step 8

Open the control panel Services and scroll to the NTRC2000 line and double click on it. A dialog box opens up. Choose the Startup Type: Automatic (for unattended operation, this will allow the NTRC2000 server to be active when there is no one logged on). Click on the System Account and enable 'Service to Interact with Desktop' in the 'Log On As: section'.

Step9 (Final)

Press OK, and choose Close in the Services applet. You're done. You can test your setup by shutting down the machine properly and re-booting. NTRC2000 will be active before you even log on. Try to access the NTRC2000 Server now from another machine before you log on.

That's it.

Q: You can't stop a Service.

A: In order to stop a Service you have to know on which Services it depends. So you have to stop them before the first one.


History

Revision History

0.1.0: Some basic routines coded.

0.2.0: Main GUI designed.

0.4.0: No big deal. It was just an ordinary start/stop services program.

0.4.5: Fixed minor bugs.

0.4.6: "Remote System Info" added.
Help menu added. Changed some other very minor things

0.4.7: "Remote Volume Info" feature was added.
I wrote a parser. In the future I will release it as a Delphi component.

0.5.0: TrayIcon added and a new GUI.

0.6.0: Added Html Help file for Win98 and NT5.
Added a startup Tip window.

0.7.0: Added "Remote Perl Interface".
Fixed some memory bugs.

0.8.0: Added Setup program.
Testing Testing Testing.............

1.0.0: First public release.NT REMOTE CONTROLLER 2000 takes off to seek its fortune.

1.2.0 beta 1: "Ping monitor" and "Screeshot" features added.
From this release NTRC 2000 is based on the TCP protocol instead the UDP one..
Fixed some bugs and more bugs added too. :-)

1.2.0 beta 5: "Event View" features added. New GUI with the Outlook Style.

1.2.0 FINAL: New Help file, and some minor changes.

So far, so good.


To Do

To Do (only if I will get enought feedback)

  • Remote NT accounts management.

  • Improved Security: IP filtering and crypted password .

Any other suggestions?

Any and all are welcome.


Updates and Download

New verison will come only if I will have enought feedback.

So feel free to send me any questions, bug reports, new ideas.....

You can download the latest version of NT Remote Controller 2000 at:

http://come.to/ntrc


License Agreement

This program is freeware, this means that you can copy it freely as long as you don't ask any more money for it than a nominal fee for copying.

If you want to distribute this program you should keep this document with it.

This program cannot be used for commercial purposes without written permission from the author.

Copyright © 1998 Andrea Borgogelli Avveduti. All Rights Reserved.


Disclaimer

This program is freeware and is provided "AS IS" without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if the author has been advised of the possibility of such damages.

(This is the proof that it's a real software : there's a disclaimer... ;-)

Copyright © 1998 Andrea Borgogelli Avveduti. All Rights Reserved.


The Author

I love to hear good things about my software!

If you're using NTRC 2000 and like it, drop me a line!

NTRC 2000's Home Page:

http://come.to/ntrc

Author's Home Page:

http://come.to/borgo

Email:

borgo@bigfoot.com

Copyright © 1998 Andrea Borgogelli Avveduti. All Rights Reserved.


Acknowledgements

Credits

Thanks to Christophe for his TSysInfo component.

Many Thanks to the authors of the RXLib.

I hope you'll enjoy this program, and would like as much feedback as possible.

Sorry for my bad English.


Beerware

This program is BeerWare, if you like it go and buy yourself a beer. :-)


Donationware

This is a DonationWare program. If you like and so use it, make a donation to a public institution or foundation like Fight Against Cancer, WWF, Amnesty International, UNICEF etc...and write me to tell that you like my work.


Long Disclaimer

Disclaimer

This program is freeware and is provided "AS IS" without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if the author has been advised of the possibility of such damages.

This program may not be sold or resold, distributed as a part of any commercial package, used in a commercial environment, used or distributed in support of a commercial service, or used or distributed to support any kind of profit-generating activity, even if it is being distributed freely.

If you would like to distribute this program as part of a commercial distribution, magazine, internet book, CD ROM, etc. please contact the author for permission.
I almost always say "yes", and would appreciate a free copy of the book/disk for my collection.

All commercial use interests in this program should be directed to the author.

Exception: FTP sites such as Tucows, Winfiles, etc., who create CD collections (or license others to create CDs of their collections) on an annual or semi-annual basis in order to cover operating costs do not have to ask permission. Permission was granted the instant the program was uploaded.

Copyright © 1998 Andrea Borgogelli Avveduti. All Rights Reserved.


Short Disclaimer

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY WARRANTIES EXPRESSED OR IMPLIED.

THE USER OF THIS PRODUCT IS RESPONIBLE FOR ANY AND ALL DAMAGES THAT MAY RESULT FROM THE USE OF THIS PRODUCT.


What is it

Type topic text here.